Projects
Create Project
Create a project within a team.
Create a project within a team.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
description?string|null
name*string
Has to be unique in the team
Length
1 <= length <= 32team_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/create" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "created_at": "2019-08-24T14:15:22Z", "default_environment_id": "1658df0d-7596-4ba0-8ea0-7169da9cad5a", "description": "string", "environment_count": 0, "environments": [ { "active": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ] } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ], "status": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }}